> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartbills.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Put v1businesses mileage tripsrecordings waypoints



## OpenAPI

````yaml /api-reference/openapi.json put /v1/businesses/{businessId}/mileage-trips/recordings/{id}/waypoints
openapi: 3.0.4
info:
  title: Smartbills.API
  version: v1
servers:
  - url: https://api.smartbills.io
    description: Production
security: []
paths:
  /v1/businesses/{businessId}/mileage-trips/recordings/{id}/waypoints:
    put:
      tags:
        - MileageRecordings
      parameters:
        - name: businessId
          in: path
          required: true
          schema:
            type: integer
            format: int64
        - name: id
          in: path
          required: true
          schema:
            type: integer
            format: int64
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MileageAppendWaypointsRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/MileageAppendWaypointsRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/MileageAppendWaypointsRequest'
      responses:
        '200':
          description: OK
components:
  schemas:
    MileageAppendWaypointsRequest:
      type: object
      properties:
        waypoints:
          type: array
          items:
            $ref: '#/components/schemas/MileageWaypointInput'
          nullable: true
      additionalProperties: false
    MileageWaypointInput:
      type: object
      properties:
        latitude:
          type: number
          format: double
        longitude:
          type: number
          format: double
        timestamp:
          type: string
          format: date-time
        speed:
          type: number
          format: double
          nullable: true
        accuracy:
          type: number
          format: double
          nullable: true
      additionalProperties: false

````